QGIS Application - Bug report #13318
Data-defined symbology seriously broken
2015-09-02 11:38 PM - Andreas Neumann

Status: Closed

Priority: Severe/Regression
Assignee: Nyall Dawson
Category: Symbology

Affected QGIS version:master
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution:

Copied to github as #: 21374

Description

In current master (as of commit:03916d5 - Sep. 3) there is something seriously broken in data-defined symbology.

Actually | don't know if it is the data-defined symbology or something bad on the provider. Anyway, please have a look at the attached

project. In this project | use data-defined coloring and data-defined stroke-width.

If you navigate or reload, you can see that colors and line-widths randomly change - as if there suddenly would be different attributes

attached to the same geometries.

Something is seriously broken.

| know that commit:bcaee65 from 15 days ago was still ok.

[ am trying to narrow down the issue with different commits.

Associated revisions

Revision bef84dc6 - 2015-09-03 03:12 PM - Nyall Dawson

Fix data defined rendering for rulebased/inverted polygon renderers

fix #13318

History

#1 - 2015-09-03 12:22 AM - Andreas Neumann

Here is the link to the project - file was too big to attach it to this bug report.

http://webgis.uster.ch/temp/dd_problem.zip

#2 - 2015-09-03 02:23 AM - Andreas Neumann
- Assignee set to Nyall Dawson

So far - my git bisect indicates that this bug was introduced with the new expression contexts (commits from August 22)

#3 - 2015-09-03 06:16 AM - Nyall Dawson
- Status changed from Open to Closed
http://webgis.uster.ch/temp/dd_problem.zip

Fixed in changeset commit:"bef84dc67650cd89dc0bad95596e3caeb7de0383".
